org.apache.activemq.artemis.jms.management.impl

## Class JMSConnectionFactoryControlImpl

- java.lang.Object
- - javax.management.StandardMBean
  - - org.apache.activemq.artemis.jms.management.impl.JMSConnectionFactoryControlImpl

- All Implemented Interfaces:
    DynamicMBean, MBeanRegistration, ConnectionFactoryControl

      public class JMSConnectionFactoryControlImpl
      extends StandardMBean
      implements ConnectionFactoryControl

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JMSConnectionFactoryControlImpl(ConnectionFactoryConfiguration cfConfig, ActiveMQConnectionFactory cf, JMSServerManager jmsManager, String name)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addBinding(String binding)` Add the Registry binding to this destination
    `long` | `getCallFailoverTimeout()`
    `long` | `getCallTimeout()`
    `long` | `getClientFailureCheckPeriod()`
    `String` | `getClientID()` Returns the Client ID of this connection factory (or `null` if it is not set.
    `int` | `getConfirmationWindowSize()`
    `String` | `getConnectionLoadBalancingPolicyClassName()`
    `long` | `getConnectionTTL()`
    `int` | `getConsumerMaxRate()`
    `int` | `getConsumerWindowSize()`
    `DiscoveryGroupConfiguration` | `getDiscoveryGroupConfiguration()` get the discovery group configuration
    `int` | `getDupsOKBatchSize()` Returns the batch size (in bytes) between acknowledgements when using DUPS_OK_ACKNOWLEDGE mode.
    `int` | `getFactoryType()` return the type of factory
    `String` | `getGroupID()`
    `int` | `getInitialMessagePacketSize()`
    `long` | `getMaxRetryInterval()`
    `MBeanInfo` | `getMBeanInfo()`
    `int` | `getMinLargeMessageSize()`
    `String` | `getName()` Returns the configuration name of this connection factory.
    `int` | `getProducerMaxRate()`
    `int` | `getProducerWindowSize()`
    `String` | `getProtocolManagerFactoryStr()` get the protocol manager factory name
    `int` | `getReconnectAttempts()`
    `String[]` | `getRegistryBindings()` Returns the Registry bindings associated to this connection factory.
    `long` | `getRetryInterval()`
    `double` | `getRetryIntervalMultiplier()`
    `int` | `getScheduledThreadPoolMaxSize()`
    `TransportConfiguration[]` | `getStaticConnectors()`
    `int` | `getThreadPoolMaxSize()`
    `int` | `getTransactionBatchSize()` Returns the batch size (in bytes) between acknowledgements when using a transacted session.
    `boolean` | `isAutoGroup()`
    `boolean` | `isBlockOnAcknowledge()`
    `boolean` | `isBlockOnDurableSend()`
    `boolean` | `isBlockOnNonDurableSend()`
    `boolean` | `isCacheLargeMessagesClient()`
    `boolean` | `isCompressLargeMessages()`
    `boolean` | `isFailoverOnInitialConnection()`
    `boolean` | `isHA()` does ths cf support HA
    `boolean` | `isPreAcknowledge()`
    `boolean` | `isUseGlobalPools()`
    `void` | `removeBinding(String binding)` Remove a Registry binding
    `void` | `setAutoGroup(boolean autoGroup)`
    `void` | `setBlockOnAcknowledge(boolean blockOnAcknowledge)`
    `void` | `setBlockOnDurableSend(boolean blockOnDurableSend)`
    `void` | `setBlockOnNonDurableSend(boolean blockOnNonDurableSend)`
    `void` | `setCacheLargeMessagesClient(boolean cacheLargeMessagesClient)`
    `void` | `setCallFailoverTimeout(long callTimeout)`
    `void` | `setCallTimeout(long callTimeout)`
    `void` | `setClientFailureCheckPeriod(long clientFailureCheckPeriod)`
    `void` | `setClientID(String clientID)` Sets the Client ID for this connection factory.
    `void` | `setCompressLargeMessages(boolean compress)`
    `void` | `setConfirmationWindowSize(int confirmationWindowSize)`
    `void` | `setConnectionLoadBalancingPolicyClassName(String name)`
    `void` | `setConnectionTTL(long connectionTTL)`
    `void` | `setConsumerMaxRate(int consumerMaxRate)`
    `void` | `setConsumerWindowSize(int consumerWindowSize)`
    `void` | `setDupsOKBatchSize(int dupsOKBatchSize)`
    `void` | `setFailoverOnInitialConnection(boolean failover)`
    `void` | `setGroupID(String groupID)`
    `void` | `setMaxRetryInterval(long retryInterval)`
    `void` | `setMinLargeMessageSize(int minLargeMessageSize)`
    `void` | `setPreAcknowledge(boolean preAcknowledge)`
    `void` | `setProducerMaxRate(int producerMaxRate)`
    `void` | `setProducerWindowSize(int producerWindowSize)`
    `void` | `setProtocolManagerFactoryStr(String protocolManagerFactoryStr)` set the protocol manager factory name
    `void` | `setReconnectAttempts(int reconnectAttempts)`
    `void` | `setRetryInterval(long retryInterval)`
    `void` | `setRetryIntervalMultiplier(double retryIntervalMultiplier)`
    `void` | `setScheduledThreadPoolMaxSize(int scheduledThreadPoolMaxSize)`
    `void` | `setThreadPoolMaxSize(int threadPoolMaxSize)`
    `void` | `setTransactionBatchSize(int transactionBatchSize)`
    `void` | `setUseGlobalPools(boolean useGlobalPools)`

    - ### Methods inherited from class javax.management.StandardMBean

      `cacheMBeanInfo, getAttribute, getAttributes, getCachedMBeanInfo, getClassName, getConstructors, getDescription, getDescription, getDescription, getDescription, getDescription, getDescription, getDescription, getImpact, getImplementation, getImplementationClass, getMBeanInterface, getParameterName, getParameterName, invoke, postDeregister, postRegister, preDeregister, preRegister, setAttribute, setAttributes, setImplementation`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JMSConnectionFactoryControlImpl

          public JMSConnectionFactoryControlImpl(ConnectionFactoryConfiguration cfConfig,
                                                 ActiveMQConnectionFactory cf,
                                                 JMSServerManager jmsManager,
                                                 String name)
                                          throws NotCompliantMBeanException

      Throws:
        `NotCompliantMBeanException`

  - ### Method Detail

    - #### getRegistryBindings

          public String[] getRegistryBindings()

      Description copied from interface: `ConnectionFactoryControl`
      Returns the Registry bindings associated to this connection factory.
      Specified by:
        `getRegistryBindings` in interface `ConnectionFactoryControl`

    - #### isCompressLargeMessages

          public boolean isCompressLargeMessages()

      Specified by:
        `isCompressLargeMessages` in interface `ConnectionFactoryControl`
      Returns:
        whether large messages are compressed
      See Also:
        `ServerLocator.isCompressLargeMessage()`

    - #### setCompressLargeMessages

          public void setCompressLargeMessages(boolean compress)

      Specified by:
        `setCompressLargeMessages` in interface `ConnectionFactoryControl`

    - #### isHA

          public boolean isHA()

      Description copied from interface: `ConnectionFactoryControl`
      does ths cf support HA
      Specified by:
        `isHA` in interface `ConnectionFactoryControl`
      Returns:
        true if it supports HA

    - #### getFactoryType

          public int getFactoryType()

      Description copied from interface: `ConnectionFactoryControl`
      return the type of factory
      Specified by:
        `getFactoryType` in interface `ConnectionFactoryControl`
      Returns:
        0 = jms cf, 1 = queue cf, 2 = topic cf, 3 = xa cf, 4 = xa queue cf, 5 = xa topic cf

    - #### getClientID

          public String getClientID()

      Description copied from interface: `ConnectionFactoryControl`
      Returns the Client ID of this connection factory (or `null` if it is not set.
      Specified by:
        `getClientID` in interface `ConnectionFactoryControl`

    - #### getClientFailureCheckPeriod

          public long getClientFailureCheckPeriod()

      Specified by:
        `getClientFailureCheckPeriod` in interface `ConnectionFactoryControl`
      See Also:
        `ServerLocator.getClientFailureCheckPeriod()`

    - #### setClientID

          public void setClientID(String clientID)

      Description copied from interface: `ConnectionFactoryControl`
      Sets the Client ID for this connection factory.
      Specified by:
        `setClientID` in interface `ConnectionFactoryControl`

    - #### setDupsOKBatchSize

          public void setDupsOKBatchSize(int dupsOKBatchSize)

      Specified by:
        `setDupsOKBatchSize` in interface `ConnectionFactoryControl`
      See Also:
        `ServerLocator.setAckBatchSize(int)`

    - #### setTransactionBatchSize

          public void setTransactionBatchSize(int transactionBatchSize)

      Specified by:
        `setTransactionBatchSize` in interface `ConnectionFactoryControl`
      See Also:
        `ServerLocator.setAckBatchSize(int)`

    - #### setClientFailureCheckPeriod

          public void setClientFailureCheckPeriod(long clientFailureCheckPeriod)

      Specified by:
        `setClientFailureCheckPeriod` in interface `ConnectionFactoryControl`
      See Also:
        `ServerLocator.setClientFailureCheckPeriod(long)`

    - #### setConnectionTTL

          public void setConnectionTTL(long connectionTTL)

      Specified by:
        `setConnectionTTL` in interface `ConnectionFactoryControl`
      See Also:
        `ServerLocator.setConnectionTTL(long)`

    - #### setCallTimeout

          public void setCallTimeout(long callTimeout)

      Specified by:
        `setCallTimeout` in interface `ConnectionFactoryControl`
      See Also:
        `ServerLocator.setCallTimeout(long)`

    - #### setCallFailoverTimeout

          public void setCallFailoverTimeout(long callTimeout)

      Specified by:
        `setCallFailoverTimeout` in interface `ConnectionFactoryControl`
      See Also:
        `ServerLocator.setCallFailoverTimeout(long)`

    - #### setConsumerWindowSize

          public void setConsumerWindowSize(int consumerWindowSize)

      Specified by:
        `setConsumerWindowSize` in interface `ConnectionFactoryControl`
      See Also:
        `ServerLocator.setConfirmationWindowSize(int)`

    - #### setConsumerMaxRate

          public void setConsumerMaxRate(int consumerMaxRate)

      Specified by:
        `setConsumerMaxRate` in interface `ConnectionFactoryControl`
      See Also:
        `ServerLocator.setConsumerMaxRate(int)`

    - #### setConfirmationWindowSize

          public void setConfirmationWindowSize(int confirmationWindowSize)

      Specified by:
        `setConfirmationWindowSize` in interface `ConnectionFactoryControl`
      See Also:
        `ServerLocator.setConfirmationWindowSize(int)`

    - #### setProducerMaxRate

          public void setProducerMaxRate(int producerMaxRate)

      Specified by:
        `setProducerMaxRate` in interface `ConnectionFactoryControl`
      See Also:
        `ServerLocator.setProducerMaxRate(int)`

    - #### getProducerWindowSize

          public int getProducerWindowSize()

      Specified by:
        `getProducerWindowSize` in interface `ConnectionFactoryControl`
      See Also:
        `ServerLocator.getProducerWindowSize()`

    - #### setProducerWindowSize

          public void setProducerWindowSize(int producerWindowSize)

      Specified by:
        `setProducerWindowSize` in interface `ConnectionFactoryControl`
      See Also:
        `ServerLocator.setProducerWindowSize(int)`

    - #### setCacheLargeMessagesClient

          public void setCacheLargeMessagesClient(boolean cacheLargeMessagesClient)

      Specified by:
        `setCacheLargeMessagesClient` in interface `ConnectionFactoryControl`
      See Also:
        `ServerLocator.setCacheLargeMessagesClient(boolean)`

    - #### isCacheLargeMessagesClient

          public boolean isCacheLargeMessagesClient()

      Specified by:
        `isCacheLargeMessagesClient` in interface `ConnectionFactoryControl`
      See Also:
        `ServerLocator.isCacheLargeMessagesClient()`

    - #### setMinLargeMessageSize

          public void setMinLargeMessageSize(int minLargeMessageSize)

      Specified by:
        `setMinLargeMessageSize` in interface `ConnectionFactoryControl`
      See Also:
        `ServerLocator.setMinLargeMessageSize(int)`

    - #### setBlockOnNonDurableSend

          public void setBlockOnNonDurableSend(boolean blockOnNonDurableSend)

      Specified by:
        `setBlockOnNonDurableSend` in interface `ConnectionFactoryControl`
      See Also:
        `ServerLocator.setBlockOnNonDurableSend(boolean)`

    - #### setBlockOnAcknowledge

          public void setBlockOnAcknowledge(boolean blockOnAcknowledge)

      Specified by:
        `setBlockOnAcknowledge` in interface `ConnectionFactoryControl`
      See Also:
        `ServerLocator.setBlockOnAcknowledge(boolean)`

    - #### setBlockOnDurableSend

          public void setBlockOnDurableSend(boolean blockOnDurableSend)

      Specified by:
        `setBlockOnDurableSend` in interface `ConnectionFactoryControl`
      See Also:
        `ServerLocator.setBlockOnDurableSend(boolean)`

    - #### setAutoGroup

          public void setAutoGroup(boolean autoGroup)

      Specified by:
        `setAutoGroup` in interface `ConnectionFactoryControl`
      See Also:
        `ServerLocator.setAutoGroup(boolean)`

    - #### setPreAcknowledge

          public void setPreAcknowledge(boolean preAcknowledge)

      Specified by:
        `setPreAcknowledge` in interface `ConnectionFactoryControl`
      See Also:
        `ServerLocator.setPreAcknowledge(boolean)`

    - #### setMaxRetryInterval

          public void setMaxRetryInterval(long retryInterval)

      Specified by:
        `setMaxRetryInterval` in interface `ConnectionFactoryControl`
      See Also:
        `ServerLocator.setMaxRetryInterval(long)`

    - #### setRetryIntervalMultiplier

          public void setRetryIntervalMultiplier(double retryIntervalMultiplier)

      Specified by:
        `setRetryIntervalMultiplier` in interface `ConnectionFactoryControl`
      See Also:
        `ServerLocator.setRetryIntervalMultiplier(double)`

    - #### setReconnectAttempts

          public void setReconnectAttempts(int reconnectAttempts)

      Specified by:
        `setReconnectAttempts` in interface `ConnectionFactoryControl`
      See Also:
        `ServerLocator.setReconnectAttempts(int)`

    - #### setFailoverOnInitialConnection

          public void setFailoverOnInitialConnection(boolean failover)

      Specified by:
        `setFailoverOnInitialConnection` in interface `ConnectionFactoryControl`
      See Also:
        `ServerLocator.setFailoverOnInitialConnection(boolean)`

    - #### isUseGlobalPools

          public boolean isUseGlobalPools()

      Specified by:
        `isUseGlobalPools` in interface `ConnectionFactoryControl`
      See Also:
        `ServerLocator.isUseGlobalPools()`

    - #### setScheduledThreadPoolMaxSize

          public void setScheduledThreadPoolMaxSize(int scheduledThreadPoolMaxSize)

      Specified by:
        `setScheduledThreadPoolMaxSize` in interface `ConnectionFactoryControl`
      See Also:
        `ServerLocator.setScheduledThreadPoolMaxSize(int)`

    - #### getThreadPoolMaxSize

          public int getThreadPoolMaxSize()

      Specified by:
        `getThreadPoolMaxSize` in interface `ConnectionFactoryControl`
      See Also:
        `ServerLocator.getThreadPoolMaxSize()`

    - #### setThreadPoolMaxSize

          public void setThreadPoolMaxSize(int threadPoolMaxSize)

      Specified by:
        `setThreadPoolMaxSize` in interface `ConnectionFactoryControl`
      See Also:
        `ServerLocator.setThreadPoolMaxSize(int)`

    - #### getInitialMessagePacketSize

          public int getInitialMessagePacketSize()

      Specified by:
        `getInitialMessagePacketSize` in interface `ConnectionFactoryControl`
      See Also:
        `ServerLocator.getInitialMessagePacketSize()`

    - #### setGroupID

          public void setGroupID(String groupID)

      Specified by:
        `setGroupID` in interface `ConnectionFactoryControl`
      See Also:
        `ServerLocator.setGroupID(String)`

    - #### getGroupID

          public String getGroupID()

      Specified by:
        `getGroupID` in interface `ConnectionFactoryControl`
      See Also:
        `ServerLocator.getGroupID()`

    - #### setUseGlobalPools

          public void setUseGlobalPools(boolean useGlobalPools)

      Specified by:
        `setUseGlobalPools` in interface `ConnectionFactoryControl`
      See Also:
        `ServerLocator.setUseGlobalPools(boolean)`

    - #### getScheduledThreadPoolMaxSize

          public int getScheduledThreadPoolMaxSize()

      Specified by:
        `getScheduledThreadPoolMaxSize` in interface `ConnectionFactoryControl`
      See Also:
        `ServerLocator.getScheduledThreadPoolMaxSize()`

    - #### setRetryInterval

          public void setRetryInterval(long retryInterval)

      Specified by:
        `setRetryInterval` in interface `ConnectionFactoryControl`
      See Also:
        `ServerLocator.setRetryInterval(long)`

    - #### getMaxRetryInterval

          public long getMaxRetryInterval()

      Specified by:
        `getMaxRetryInterval` in interface `ConnectionFactoryControl`
      See Also:
        `ServerLocator.getMaxRetryInterval()`

    - #### getConnectionLoadBalancingPolicyClassName

          public String getConnectionLoadBalancingPolicyClassName()

      Specified by:
        `getConnectionLoadBalancingPolicyClassName` in interface `ConnectionFactoryControl`
      See Also:
        `ServerLocator.getConnectionLoadBalancingPolicyClassName()`

    - #### setConnectionLoadBalancingPolicyClassName

          public void setConnectionLoadBalancingPolicyClassName(String name)

      Specified by:
        `setConnectionLoadBalancingPolicyClassName` in interface `ConnectionFactoryControl`
      See Also:
        `ServerLocator.setConnectionLoadBalancingPolicyClassName(String)`

    - #### getStaticConnectors

          public TransportConfiguration[] getStaticConnectors()

      Specified by:
        `getStaticConnectors` in interface `ConnectionFactoryControl`
      See Also:
        `ServerLocator.getStaticTransportConfigurations()`

    - #### getDiscoveryGroupConfiguration

          public DiscoveryGroupConfiguration getDiscoveryGroupConfiguration()

      Description copied from interface: `ConnectionFactoryControl`
      get the discovery group configuration
      Specified by:
        `getDiscoveryGroupConfiguration` in interface `ConnectionFactoryControl`

    - #### addBinding

          public void addBinding(String binding)
                          throws Exception

      Description copied from interface: `ConnectionFactoryControl`
      Add the Registry binding to this destination
      Specified by:
        `addBinding` in interface `ConnectionFactoryControl`
      Throws:
        `Exception`

    - #### removeBinding

          public void removeBinding(String binding)
                             throws Exception

      Description copied from interface: `ConnectionFactoryControl`
      Remove a Registry binding
      Specified by:
        `removeBinding` in interface `ConnectionFactoryControl`
      Throws:
        `Exception`

    - #### getCallTimeout

          public long getCallTimeout()

      Specified by:
        `getCallTimeout` in interface `ConnectionFactoryControl`
      See Also:
        `ServerLocator.getCallTimeout()`

    - #### getCallFailoverTimeout

          public long getCallFailoverTimeout()

      Specified by:
        `getCallFailoverTimeout` in interface `ConnectionFactoryControl`
      See Also:
        `ServerLocator.getCallFailoverTimeout()`

    - #### getConsumerMaxRate

          public int getConsumerMaxRate()

      Specified by:
        `getConsumerMaxRate` in interface `ConnectionFactoryControl`
      See Also:
        `ServerLocator.getConsumerMaxRate()`

    - #### getConsumerWindowSize

          public int getConsumerWindowSize()

      Specified by:
        `getConsumerWindowSize` in interface `ConnectionFactoryControl`
      See Also:
        `ServerLocator.getConsumerWindowSize()`

    - #### getProducerMaxRate

          public int getProducerMaxRate()

      Specified by:
        `getProducerMaxRate` in interface `ConnectionFactoryControl`
      See Also:
        `ServerLocator.getProducerMaxRate()`

    - #### getConfirmationWindowSize

          public int getConfirmationWindowSize()

      Specified by:
        `getConfirmationWindowSize` in interface `ConnectionFactoryControl`
      See Also:
        `ServerLocator.getConfirmationWindowSize()`

    - #### getDupsOKBatchSize

          public int getDupsOKBatchSize()

      Description copied from interface: `ConnectionFactoryControl`
      Returns the batch size (in bytes) between acknowledgements when using DUPS_OK_ACKNOWLEDGE mode.
      Specified by:
        `getDupsOKBatchSize` in interface `ConnectionFactoryControl`
      See Also:
        `ServerLocator.getAckBatchSize()`, `Session.DUPS_OK_ACKNOWLEDGE`

    - #### isBlockOnAcknowledge

          public boolean isBlockOnAcknowledge()

      Specified by:
        `isBlockOnAcknowledge` in interface `ConnectionFactoryControl`
      See Also:
        `ServerLocator.isBlockOnAcknowledge()`

    - #### isBlockOnNonDurableSend

          public boolean isBlockOnNonDurableSend()

      Specified by:
        `isBlockOnNonDurableSend` in interface `ConnectionFactoryControl`
      See Also:
        `ServerLocator.isBlockOnNonDurableSend()`

    - #### isBlockOnDurableSend

          public boolean isBlockOnDurableSend()

      Specified by:
        `isBlockOnDurableSend` in interface `ConnectionFactoryControl`
      See Also:
        `ServerLocator.isBlockOnDurableSend()`

    - #### isPreAcknowledge

          public boolean isPreAcknowledge()

      Specified by:
        `isPreAcknowledge` in interface `ConnectionFactoryControl`
      See Also:
        `ServerLocator.isPreAcknowledge()`

    - #### getName

          public String getName()

      Description copied from interface: `ConnectionFactoryControl`
      Returns the configuration name of this connection factory.
      Specified by:
        `getName` in interface `ConnectionFactoryControl`

    - #### getConnectionTTL

          public long getConnectionTTL()

      Specified by:
        `getConnectionTTL` in interface `ConnectionFactoryControl`
      See Also:
        `ServerLocator.getConnectionTTL()`

    - #### getReconnectAttempts

          public int getReconnectAttempts()

      Specified by:
        `getReconnectAttempts` in interface `ConnectionFactoryControl`
      See Also:
        `ServerLocator.getReconnectAttempts()`

    - #### isFailoverOnInitialConnection

          public boolean isFailoverOnInitialConnection()

      Specified by:
        `isFailoverOnInitialConnection` in interface `ConnectionFactoryControl`
      See Also:
        `ServerLocator.isFailoverOnInitialConnection()`

    - #### getMinLargeMessageSize

          public int getMinLargeMessageSize()

      Specified by:
        `getMinLargeMessageSize` in interface `ConnectionFactoryControl`
      See Also:
        `ServerLocator.getMinLargeMessageSize()`

    - #### getRetryInterval

          public long getRetryInterval()

      Specified by:
        `getRetryInterval` in interface `ConnectionFactoryControl`
      See Also:
        `ServerLocator.getRetryInterval()`

    - #### getRetryIntervalMultiplier

          public double getRetryIntervalMultiplier()

      Specified by:
        `getRetryIntervalMultiplier` in interface `ConnectionFactoryControl`
      See Also:
        `ServerLocator.getRetryIntervalMultiplier()`

    - #### getTransactionBatchSize

          public int getTransactionBatchSize()

      Description copied from interface: `ConnectionFactoryControl`
      Returns the batch size (in bytes) between acknowledgements when using a transacted session.
      Specified by:
        `getTransactionBatchSize` in interface `ConnectionFactoryControl`
      See Also:
        `ServerLocator.getAckBatchSize()`

    - #### setProtocolManagerFactoryStr

          public void setProtocolManagerFactoryStr(String protocolManagerFactoryStr)

      Description copied from interface: `ConnectionFactoryControl`
      set the protocol manager factory name
      Specified by:
        `setProtocolManagerFactoryStr` in interface `ConnectionFactoryControl`

    - #### getProtocolManagerFactoryStr

          public String getProtocolManagerFactoryStr()

      Description copied from interface: `ConnectionFactoryControl`
      get the protocol manager factory name
      Specified by:
        `getProtocolManagerFactoryStr` in interface `ConnectionFactoryControl`

    - #### isAutoGroup

          public boolean isAutoGroup()

      Specified by:
        `isAutoGroup` in interface `ConnectionFactoryControl`
      See Also:
        `ServerLocator.isAutoGroup()`

    - #### getMBeanInfo

          public MBeanInfo getMBeanInfo()

      Specified by:
        `getMBeanInfo` in interface `DynamicMBean`
      Overrides:
        `getMBeanInfo` in class `StandardMBean`

Copyright © 2017 The Apache Software Foundation. All rights reserved.